<?php
function mk_post_nav($same_category = false, $taxonomy = 'category')
{
	$settings = array();
	$settings['same_category'] = $same_category;
	$settings['excluded_terms'] = '';

	$settings['type'] = get_post_type();
	$settings['taxonomy'] = $taxonomy;

	if(!is_singular() || is_post_type_hierarchical($settings['type'])) 
		$settings['is_hierarchical'] = true;
	if($settings['type'] === 'topic' || $settings['type'] === 'reply') 
		$settings['is_bbpress'] = true;

    $settings = apply_filters('mk_post_nav_settings', $settings);
    if(!empty($settings['is_bbpress']) || !empty($settings['is_hierarchical']) || !empty($settings['is_fullwidth'])) 
    	return;

    if(version_compare(get_bloginfo('version'), '3.8', '>=' ))
    {
        $entries['prev'] = get_previous_post($settings['same_category'], $settings['excluded_terms'], $settings['taxonomy']);
        $entries['next'] = get_next_post($settings['same_category'], $settings['excluded_terms'], $settings['taxonomy']);
    }
    else
    {
        $entries['prev'] = get_previous_post($settings['same_category']);
        $entries['next'] = get_next_post($settings['same_category']);
    }
        
	$entries = apply_filters('mk_post_nav_entries', $entries, $settings);
	$output = "";


	foreach ($entries as $key => $entry)
	{
        if(empty($entry)) continue;

        $tc1   = $tc2 = "";
        $link  = get_permalink($entry->ID);
        $image = get_the_post_thumbnail($entry->ID, 'thumbnail');
        $class = $image ? "with-image" : "without-image";
        $font = $key == 'prev' ? '&lsaquo;' : '&rsaquo;';
        $output .= "<a class='mk-post-nav mk-post-{$key} {$class}' href='{$link}' >";
	    $output .= "    <span class='label iconfont'>{$font}</span>";
	    $output .= "    <span class='entry-info-wrap'>";
	    $output .= "        <span class='entry-info'>";
	    $tc1     = "            <span class='entry-title'>".get_the_title($entry->ID)."</span>";
		if($image)  $tc2     = "            <span class='entry-image'>{$image}</span>";
        $output .= $key == 'prev' ?  $tc1.$tc2 : $tc2.$tc1;
        $output .= "        </span>";
        $output .= "    </span>";
	    $output .= "</a>";
	}
	echo $output;
}
add_action( 'wp_footer', 'mk_post_nav' );


