<!DOCTYPE html>
<html <?php mk_html_tag_schema(); ?> xmlns="http<?php echo (is_ssl())? 's' : ''; ?>://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<?php
global $mk_settings, $post, $mk_accent_color;
?>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title itemprop="name">
        <?php
           if ( defined('WPSEO_VERSION') ) {
            wp_title('');
             } else {
             bloginfo('name'); ?> <?php wp_title(' - ', true);
          }
        ?>
        </title>
        <?php if ( $mk_settings['favicon']['url'] ) : ?>
          <link rel="shortcut icon" href="<?php echo $mk_settings['favicon']['url']; ?>"  />
        <?php endif; ?>

        <link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?> RSS Feed" href="<?php bloginfo( 'rss2_url' );?>">
        <link rel="alternate" type="application/atom+xml" title="<?php bloginfo( 'name' ); ?> Atom Feed" href="<?php bloginfo( 'atom_url' );?>">
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' );?>">
         <!--[if lte IE 11]>
         <link rel='stylesheet' href='<?php echo get_template_directory_uri(); ?>/stylesheet/css/ie.css' /> 
         <![endif]-->

         <!--[if lte IE 9]>
         <script src="<?php echo THEME_JS;?>/html5shiv.js" type="text/javascript"></script>
         <![endif]-->

         <!--[if lte IE 8]>
            <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/respond.js"></script>
         <![endif]-->

         <script type="text/javascript">
          var mk_images_dir = "<?php echo THEME_IMAGES; ?>",
          mk_theme_js_path = "<?php echo THEME_JS;  ?>",
          mk_nav_res_width = <?php echo $mk_settings['res-nav-width']; ?>,
          mk_header_sticky = <?php echo $mk_settings['sticky-header']; ?>,
          mk_grid_width = <?php echo $mk_settings['grid-width']; ?>,
          mk_preloader_logo = "<?php echo $mk_settings['preloader-logo']['url']; ?>",
          mk_header_padding = <?php echo $mk_settings['header-padding']; ?>,
          mk_accent_color = "<?php echo $mk_accent_color; ?>",
          mk_squeeze_header = <?php echo isset($mk_settings['squeeze-sticky-header']) ? $mk_settings['squeeze-sticky-header'] : 1; ?>,
          mk_logo_height = <?php echo ($mk_settings['logo']['height']) ? $mk_settings['logo']['height'] : 50; ?>,
          mk_preloader_txt_color = "<?php echo ($mk_settings['preloader-txt-color']) ? $mk_settings['preloader-txt-color'] : '#444'; ?>",
          mk_smooth_scroll_option = <?php echo $mk_settings['smooth-scroll'] ?>,
          mk_preloader_bg_color = "<?php echo ($mk_settings['preloader-bg-color']) ? $mk_settings['preloader-bg-color'] : '#fff'; ?>";
          
          <?php if(is_singular()) {
                  $mk_header_trans_offset = get_post_meta( $post->ID, '_trans_header_offset', true ) ? get_post_meta( $post->ID, '_trans_header_offset', true ) : 0;
            ?> var mk_header_trans_offset = <?php echo $mk_header_trans_offset; ?>;
          <?php } ?>
         </script>
               
    <?php wp_head(); ?>
    </head>
<?php

?>

<body <?php body_class(); ?>>


<?php 
  
  $boxed_layout = $mk_settings['body-layout'];
  
  $header_style = $trans_header_skin = $header_padding_class = $trans_header_skin_class = '';

if(is_singular()) {
    $preloader = get_post_meta( $post->ID, '_preloader', true );
    $boxed_layout = (get_post_meta( $post->ID, '_custom_bg', true ) == 'true') ? get_post_meta( $post->ID, 'background_selector_orientation', true ) : $mk_settings['body-layout'];
    $header_style = get_post_meta( $post->ID, '_header_style', true );
    $trans_header_skin = get_post_meta( $post->ID, '_trans_header_skin', true );
    $trans_header_skin_class = ($trans_header_skin != '') ? ($trans_header_skin.'-header-skin') : '';


          if($preloader == 'true') { 
              ?><div class="mk-body-loader-overlay"></div><?php
          }
      }
?>      

<div class="theme-main-wrapper">
<div id="mk-boxed-layout" class="mk-<?php echo $boxed_layout; ?>-enabled">

<?php
$logo_height = (!empty($mk_settings['logo']['height'])) ? $mk_settings['logo']['height'] : 50;
if(isset($mk_settings['squeeze-sticky-header'])) {
  $header_sticky_height = $logo_height/1.5 + ($mk_settings['header-padding']/2.4 * 2);  
} else {
  $header_sticky_height = $logo_height + ($mk_settings['header-padding'] * 2);
}
$header_height = $logo_height + ($mk_settings['header-padding'] * 2);


if($header_style == 'transparent') {
  $header_class = 'transparent-header ' . $trans_header_skin_class;
} else {
  $header_class = $mk_settings['sticky-header'] ? 'sticky-header' : '';
  $header_padding_class = $mk_settings['sticky-header'] ? 'sticky-header' : '';
}



$layout_template = is_singular() ? get_post_meta( get_the_ID(), '_template', true ) : '';




if($layout_template == 'no-header-title' || $layout_template == 'no-header-title-footer' || $layout_template == 'no-header-title-only-footer') return;


if($layout_template != 'no-header' && $layout_template !='no-header-footer') :
?>


<header id="mk-header" class="<?php echo $header_class; ?> mk-header-module" data-header-style="<?php echo $header_style; ?>" data-transparent-skin="<?php echo $trans_header_skin; ?>" data-height="<?php echo intval($header_height); ?>" data-sticky-height="<?php echo intval($header_sticky_height); ?>">

  <div class="mk-grid">
      <?php
      if(is_page()) {
        $mk_menu_location = get_post_meta( $post->ID, '_menu_location', true ) ? get_post_meta( $post->ID, '_menu_location', true ) : 'primary-menu';
        do_action( 'main_navigation', $mk_menu_location );
      } else {
        do_action( 'main_navigation', 'primary-menu' );
      }
      
      
      ?>
  </div>

<?php if($mk_settings['side-dashboard']) : ?>
  <div class="dashboard-trigger desktop-mode"><i class="mk-theme-icon-dashboard"></i></div>
<?php endif; ?>  

</header>


<?php /* Resposnive navigation container. will be appended via JS */ ?>
<div class="responsive-nav-container"></div>
<?php /*******/ ?>


<div class="sticky-header-padding <?php echo $header_padding_class; ?>"></div>

<?php endif; ?>

<?php 
if(is_singular() && $layout_template != 'no-title') {
  if($layout_template != 'no-footer-title' && $layout_template != 'no-sub-footer-title') {
      do_action('page_title', $post->ID);
  }
} else {
  do_action('page_title'); 
}
?>

